uses
  dhash in '../dhash.pas',
  crc;

var
  S: String;
  I: Integer;

begin
  for I := 1 to ParamCount do begin
      S := ParamStr(I);
      Writeln(S, #9, HashCrc32Table(@S[1], Length(S)));
  end;
end.
